Subject: [bug#48371] Add crust firmware for sunxi devices

From: Vagrant Cascadian <[email-masked]>
Date: Sat, 29 May 2021 17:55:04 -0700

On 2021-05-13, Maxime Devos wrote:
> Vagrant Cascadian schreef op di 11-05-2021 om 15:15 [-0700]:
>> +       #:make-flags (list
>> +                     "CROSS_COMPILE=or1k-elf-"
>> +                     "DEBUG=1"
>> +                     "HOSTCC=gcc"
>> +                     "HOSTAR=ar"
>> +                     "HOST_COMPILE=aarch64-linux-gnu-"
>> +                     "LEX=flex")
>
> IIUC, CROSS_COMPILE is the system Crust will run on, and HOST_COMPILE
> is the system where Crust is compiled. So shouldn't HOST_COMPILE be
>
>   (string-append (nix-system->gnu-triplet (%current-system)) "-")
>
> such that Crust can be cross-compiled from non-aarch64 or non-linux systems?

Good point!

Although I couldn't get it to work, always ending in:

  ERROR: In procedure %resolve-variable:
  Unbound variable: nix-system->gnu-triplet

firmware.scm includes:

  #:use-module (guix utils)

Which is where I think that is defined, but...

Setting HOST_COMPILE to an empty value appears to work and it just uses
the defined HOSTCC and HOSTAR, so this is probably better anyways!

There's a new crust version available, so I'll give that a quick test
before sending updated patches.

live well,
  vagrant